version: "3"
services:
  stockinfoservice:
    image: "stock-info-service:1.0-SNAPSHOT"
    networks:
      - springkubetest_stockinfo
    environment:
      # expect kafka to *always* be in docker
      SPRING_KAFKA_PRODUCER_BOOTSTRAP-SERVERS: broker:29092
      # expect eureka to *always* be in docker
      EUREKA_CLIENT_SERVICEURL_DEFAULTZONE: http://service-discovery:8761/eureka
      POLYGON_KEY: fCVW2qx9b1fs9SbMSgZhWCZ1RwzXSuyB
    ports:
      - "8082"

# expect to up infra first!
networks:
  springkubetest_stockinfo:
    external: true